Skip to main content
POST
/
balances
/
v1
/
asset
/
asset-balance
curl --request POST \
  --url "https://analytics.snek.fun/balances/v1/asset/asset-balance?assetId=fbd4d3c334063ac19566f6ba39b6ec707ea91fa81d0c09201575c10b.44415645" \
  --header "Content-Type: application/json" \
  --data '["e62df682e62df682e62df682e62df682e62df682e62df682e62df682e62df682e62"]'
{
  "balance": 123.456789
}
Returns an aggregate balance in ADA for a given asset across a non-empty list of payment key hashes. The response may be null when there is no balance data. Auth: Public POST requests must send Content-Type: application/json.

Query parameters

assetId
string
required
Cardano asset ID (policyId.hexAssetName).

Request body

JSON array of 56-character hex payment key hashes (at least one element).

Response

200 with a JSON object or null.
balance
number
Aggregate balance expressed in ADA (JSON number).
curl --request POST \
  --url "https://analytics.snek.fun/balances/v1/asset/asset-balance?assetId=fbd4d3c334063ac19566f6ba39b6ec707ea91fa81d0c09201575c10b.44415645" \
  --header "Content-Type: application/json" \
  --data '["e62df682e62df682e62df682e62df682e62df682e62df682e62df682e62df682e62"]'
{
  "balance": 123.456789
}